

;OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO
; FULL SCREEN with a normal Window
;OOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO


; This example first detects the current screen size
; and then creates a borderless window that is as big as the screen.
; After this a canvas with the same size is created to the window.

; This causes an effect that resembles a "full screen mode":
; nothing else is visible except the program output

GfxW=GraphicsWidth()
GfxH=GraphicsHeight()

Ikkuna=CreateWindow("Test",0,0,GfxW,GfxH,0,0)
Canvas=CreateCanvas(0,0,GfxW,GfxH,Ikkuna)      ; we make a "canvas" and name it "Canvas"
SetBuffer CanvasBuffer(Canvas)                 ; we set the buffer to the "canvas" we just made

; Notice: On Win8 it would seem that if Window x,y is 0,0, then the taskbar also disappears.
; But if x,y is set any higher, then taskbar will remain visible.


; Loads Font
FonttiA16=LoadFont("Arial",16,True)
SetFont FonttiA16

; Sets clock
SeedRnd MilliSecs()
GameClock=CreateTimer(50)


Gosub DrawMessage


;MMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMM
.Main
;MMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMM


If KeyHit(1)=1 Then End                       ;ESC
If KeyHit(57)=1 Then Cls : Gosub DrawMessage  ;SPACE


Color Rnd(0,255),Rnd(0,255),Rnd(0,255)
Rect Rnd(0,1000),Rnd(50,600),Rnd(5,100),Rnd(5,100),1


WaitTimer(GameClock)

; because we use a canvas, we must draw graphics with  "FlipCanvas" instead of normal "Flip"
FlipCanvas Canvas


Goto Main
;#########################################################
;#########################################################




;SSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSS
.DrawMessage
;SSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSS

Color 255,255,255
Text 50,15,"ESC = Exit"
Text 50,35,"SPACE = Clear Screen"

Return
;+++++++++++++++++++++++++++++++++++++++++++++++++++++++++
;+++++++++++++++++++++++++++++++++++++++++++++++++++++++++
;+++++++++++++++++++++++++++++++++++++++++++++++++++++++++






